---
title: writing-mode
slug: Web/SVG/Attribute/writing-mode
tags:
  - NeedsExample
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p>The <strong><code>writing-mode</code></strong> attribute specifies whether the initial inline-progression-direction for a {{SVGElement("text")}} element shall be left-to-right, right-to-left, or top-to-bottom. The <code>writing-mode</code> attribute applies only to {{ SVGElement("text") }} elements; the attribute is ignored for {{ SVGElement("tspan") }}, {{ SVGElement("tref") }}, {{ SVGElement("altGlyph") }} and {{ SVGElement("textPath") }} sub-elements. (Note that the inline-progression-direction can change within a {{ SVGElement("text") }} element due to the Unicode bidirectional algorithm and properties {{ SVGAttr("direction") }} and {{ SVGAttr("unicode-bidi") }}.)</p>

<p class="note"><strong>Note:</strong> As a presentation attribute, <code>writing-mode</code> can be used as a CSS property. See the CSS {{cssxref("writing-mode")}} property for more information.</p>

<p>As a presentation attribute, it can be applied to any element but it has effect only on the following five elements: {{SVGElement("altGlyph")}}, {{SVGElement("text")}}, {{SVGElement("textPath")}}, {{SVGElement("tref")}}, and {{SVGElement("tspan")}}</p>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Default value</th>
   <td><code>horizontal-tb</code></td>
  </tr>
  <tr>
   <th scope="row">Value</th>
   <td><code>horizontal-tb</code> | <code>vertical-rl</code> | <code>vertical-lr</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>horizontal-tb</code></dt>
 <dd>This value defines a top-to-bottom block flow direction. Both the writing mode and the typographic mode are horizontal.</dd>
 <dt><code>vertical-rl</code></dt>
 <dd>This value defines a right-to-left block flow direction. Both the writing mode and the typographic mode are vertical.</dd>
 <dt><code>vertical-lr</code></dt>
 <dd>This value defines a left-to-right block flow direction. Both the writing mode and the typographic mode are vertical.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS3 Writing Modes", "#block-flow", "writing-mode")}}</td>
   <td>{{Spec2("CSS3 Writing Modes")}}</td>
   <td>Definition in CSS Writing Modes 3</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG2", "text.html#WritingModeProperty", "writing-mode")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Mainly refers to the definition in CSS Writing Modes 3 and defines a mapping between the deprecated SVG 1.1 values and the new values.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "text.html#WritingModeProperty", "writing-mode")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.attributes.presentation.writing-mode")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("writing-mode", "CSS writing-mode")}}</li>
</ul>
